Subject: Eliminating RTC from MPC5200

From: Grant Likely <[email-masked]>
Date: Mon, 11 Apr 2005 12:30:54 -0600

I'm working on a design using the MPC5200.  The hardware engineer I'm
working has asked if he could omit the crystal for the RTC.  I've
searched through the Linux source (2.6.11) and it seems that the on
the lite5200 the RTC is being used to measure both the system clock
and the decrementer speed for the serial port.  It does not look like
the RTC is used otherwise.

Is this true?  Can I eliminate the need for the RTC If I modify
mpc52xx_calibrate_decr() in arch/ppc/syslib/mpc52xx_setup.c and
mpc52xx_ipbfreq() in arch/ppc/boot/simple/mpc52xx_tty.c?  I'm assuming
that I can hard code the system clock speeds for my specific hardware.

Thanks,
g.